
!FSReadStream methodsFor: '*FuelFileSystem' stamp: 'MarianoMartinezPeck 1/7/2012 13:07'!
fuelNextWordsInto: aWordObject 
	"This method is the same as nextWordsInto: but the restoreEndianness is only done if needed"
	| blt pos source byteSize |

	byteSize := aWordObject byteSize.

	"forced to copy it into a buffer"
	source := self next: byteSize.
	pos := 0.
	
	"Now use BitBlt to copy the bytes to the bitmap."
	blt := (BitBlt current
				toForm: (Form new hackBits: aWordObject))
				sourceForm: (Form new hackBits: source).
				
	blt combinationRule: Form over. "store"
	blt sourceX: 0;
		 sourceY: pos // 4;
		 height: byteSize // 4;
		 width: 4.
	blt destX: 0;
		 destY: 0.
	blt copyBits.

	^ aWordObject 	
! !

!FSReadStream methodsFor: '*FuelFileSystem' stamp: 'MarianoMartinezPeck 1/7/2012 12:45'!
next: count
	| result |
	result := ByteArray new: count.
	handle at: position read: result startingAt: 1 count: count.
	position := position + count.
 	^ result! !

!FSReadStream methodsFor: '*FuelFileSystem' stamp: 'MarianoMartinezPeck 1/7/2012 12:51'!
next: number into: aCollection 
	| count |
	count := handle at: position read: aCollection startingAt: 1 count: number.
	position := position + count.
 	^ count < aCollection size
		ifTrue: [aCollection first: count]
		ifFalse: [aCollection]! !

!FSWriteStream methodsFor: '*FuelFileSystem' stamp: 'MarianoMartinezPeck 1/7/2012 14:45'!
nextBytesPutAll: aCollection
	"Append the bytes of aCollection to the sequence of bytes accessible 
	by the receiver. Answer aCollection."

	^self nextPutAll: aCollection! !
